osgSim::DatabaseCacheReadCallback Class Reference

`#include <LineOfSight>`

Inheritance diagram for osgSim::DatabaseCacheReadCallback:

## Public Member Functions

| DatabaseCacheReadCallback ()
void | setMaximumNumOfFilesToCache (unsigned int maxNumFilesToCache)
unsigned int | getMaximumNumOfFilesToCache () const
void | clearDatabaseCache ()
void | pruneUnusedDatabaseCache ()
virtual osg::ref_ptr< osg::Node > | readNodeFile (const std::string &filename)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Types

typedef std::map< std::string, osg::ref_ptr< osg::Node > > | FileNameSceneMap

## Protected Attributes

unsigned int | _maxNumFilesToCache
OpenThreads::Mutex | _mutex
FileNameSceneMap | _filenameSceneMap
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Member Typedef Documentation

## FileNameSceneMap

typedef std::map<std::string, osg::ref_ptr<osg::Node> > osgSim::DatabaseCacheReadCallback::FileNameSceneMap

protected

## Constructor & Destructor Documentation

## DatabaseCacheReadCallback()

osgSim::DatabaseCacheReadCallback::DatabaseCacheReadCallback | ( |  | ) |

## Member Function Documentation

## clearDatabaseCache()

void osgSim::DatabaseCacheReadCallback::clearDatabaseCache | ( |  | ) |

## getMaximumNumOfFilesToCache()

unsigned int osgSim::DatabaseCacheReadCallback::getMaximumNumOfFilesToCache | ( |  | ) | const

inline

References _maxNumFilesToCache.

## pruneUnusedDatabaseCache()

void osgSim::DatabaseCacheReadCallback::pruneUnusedDatabaseCache | ( |  | ) |

## readNodeFile()

virtual osg::ref_ptr< osg::Node > osgSim::DatabaseCacheReadCallback::readNodeFile | ( | const std::string & | filename | ) |

virtual

Implements osgUtil::IntersectionVisitor::ReadCallback.

## setMaximumNumOfFilesToCache()

void osgSim::DatabaseCacheReadCallback::setMaximumNumOfFilesToCache | ( | unsigned int | maxNumFilesToCache | ) |

inline

References _maxNumFilesToCache.

## Member Data Documentation

## _filenameSceneMap

FileNameSceneMap osgSim::DatabaseCacheReadCallback::_filenameSceneMap

protected

## _maxNumFilesToCache

unsigned int osgSim::DatabaseCacheReadCallback::_maxNumFilesToCache

protected

Referenced by getMaximumNumOfFilesToCache(), and setMaximumNumOfFilesToCache().

## _mutex

OpenThreads::Mutex osgSim::DatabaseCacheReadCallback::_mutex

protected

The documentation for this class was generated from the following file:

- LineOfSight